Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000167Core InformExtensionspublic2010-07-04 00:272010-10-28 00:30
Reporterjmcgrew 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6E59 
Target VersionFixed in Version6F95 
Summary0000167: Link to extension docs in phrase problem message uses the wrong capitalization for author and extension names
DescriptionIn problem explanations such as:

<quote>
Problem. You wrote 'foo 54' , but '54' has the wrong kind of value: a number rather than a text.

I was trying to match this phrase:

foo (54 - text) [e]
</quote>

The "[e]" is an orange link to the extension documentation. When hovering over this link, the extension and author name appear as a tooltip, but the names are converted to title case: in this example it says "Crazycaps by Unusually Capitalized Name".
Minimal Source Text To Reproduce
=== CrAzYcApS.i7x ===

CrAzYcApS by UNUSUALLY caPitAlized namE begins here.

To foo (bar - text): do nothing.

CrAzYcApS ends here.

=== Game source text ===

Include CrAzYcApS by UNUSUALLY caPitAlized namE.

Home is a room.

When play begins: foo 54.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000304)
Andreas (reporter)
2010-07-18 15:21

This probably has something to do with abbreviations being converted to titlecase, as in the extension "AWOL Milkmen" being transformed into "Awol Milkmen".
(0000588)
graham (administrator)
2010-09-26 06:55

This really does push the definition of "bug" to its limits, but then again, it took only eight keystrokes to "fix". Done.

- Issue History
Date Modified Username Field Change
2010-07-04 00:27 jmcgrew New Issue
2010-07-04 01:53 jmcgrew Summary Link to extension in phrase problem message has the wrong author name capitalization => Link to extension docs in phrase problem message uses the wrong capitalization for author and extension names
2010-07-04 01:53 jmcgrew Description Updated View Revisions
2010-07-04 01:53 jmcgrew Steps to Reproduce Updated View Revisions
2010-07-04 01:54 jmcgrew Status new => acknowledged
2010-07-05 14:30 EmacsUser Status acknowledged => confirmed
2010-07-18 15:21 Andreas Note Added: 0000304
2010-09-26 06:55 graham Note Added: 0000588
2010-09-26 06:55 graham Status confirmed => resolved
2010-09-26 06:55 graham Resolution open => fixed
2010-09-26 06:55 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker